Bug 202336 - Using vga=0x317 on kernel boot line causes monitor "out of range" error
Using vga=0x317 on kernel boot line causes monitor "out of range" error
Product: Fedora
Classification: Fedora
Component: xorg-x11-drv-nv (Show other bugs)
x86_64 Linux
medium Severity medium
: ---
: ---
Assigned To: Adam Jackson
Depends On:
  Show dependency treegraph
Reported: 2006-08-12 20:53 EDT by Dick Gingras
Modified: 2007-12-10 12:23 EST (History)
2 users (show)

See Also:
Fixed In Version: f8
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2007-12-10 11:52:40 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)
Xorg log with vga=0x317 at boot (66.98 KB, text/plain)
2006-08-14 10:48 EDT, Dick Gingras
no flags Details

  None (edit)
Description Dick Gingras 2006-08-12 20:53:09 EDT
Description of problem:
When using vga=0x317 on grub's kernel boot line, starting X either normally or
to system-config-display causes monitor error "out of range".

Version-Release number of selected component (if applicable):

How reproducible:
Every boot, until vga=0x317 is removed, then it works fine.

Also happens with FC5 (2.6.17-1.2157_FC5) when "rhgb quiet vga=0x317" appears on
the kernel boot line in grub; rhgb produces the "out of range" but clears up
when gdm starts the greeter.

Steps to Reproduce:
1. Add vga=0x317 (other values not tested) to kernel line:
   kernel /boot/vmlinuz-2.6.17-1.2548.fc6 ro root=LABEL=/1 noapic vga=0x317
2. boot that kernel
3. wait for X to start
Actual results:
Monitor (ViewSonic G220fb) displays "Out of Range" message on screen and no
greeter screen is displayed. Xorg.0.log contains normal startup info.

Expected results:
Greeter should be displayed.

Additional info:
Asus M2N32 SLI Deluxe MB
AMD Athlon X2 4000
2 GB DDR2-800
XFX GForce 7900 GT
ViewSonic G220fb 21" Monitor
Comment 1 Adam Jackson 2006-08-14 09:51:18 EDT
Please attach the Xorg.0.log from a failed startup and from a successful startup.
Comment 2 Dick Gingras 2006-08-14 10:48:59 EDT
Created attachment 134142 [details]
Xorg log with vga=0x317 at boot

There is no difference in the Xorg logs between booting with and without
vga=0x317. They are identical except for the time-stamp line.

I forgot to mention that the first message emitted on the console at boot with
vga=0x317 is "Console: switching to colour fram buffer device 128x48".

Also, the actual error text that my monitor displays when X starts is
"Frequency over range".
Comment 3 Dick Gingras 2006-10-15 11:44:29 EDT
Problem still exists in fc6-test3, kernel 2.6.18-1.2784.fc6
Comment 4 Matthew Miller 2007-04-06 12:14:18 EDT
Fedora Core 5 and Fedora Core 6 are, as we're sure you've noticed, no longer
test releases. We're cleaning up the bug database and making sure important bug
reports filed against these test releases don't get lost. It would be helpful if
you could test this issue with a released version of Fedora or with the latest
development / test release. Thanks for your help and for your patience.

[This is a bulk message for all open FC5/FC6 test release bugs. I'm adding
myself to the CC list for each bug, so I'll see any comments you make after this
and do my best to make sure every issue gets proper attention.]
Comment 5 Dick Gingras 2007-04-06 13:02:31 EDT
I have retested and verified that this bug still exists.

I used FC6 with kernel 2.6.20-1.2933.fc6 and the nv driver in xorg.conf.

When the monitor displays the "Out of Range" message (when rhgb starts up),
pressing Ctl-Alt-F1 correctly reverts the screen back to a console display, but
the next time X11 is started during the rhgb process, the "Out of Range" message
reappears. After the boot process completes and X11 is restarted for the GDM
greeter, all is well.

Note that this problem does NOT occur when using the closed-source nvidia driver.
Comment 6 Matthew Miller 2007-04-06 13:05:32 EDT
Thank you.
Comment 7 Matthew Miller 2007-04-06 13:05:51 EDT
clearing needinfo bit.
Comment 8 Matěj Cepl 2007-12-10 04:21:51 EST
Fedora Core 6 is no longer supported, could you please reproduce this with the
updated version of the currently supported distribution (Fedora 7, 8, or
Rawhide)? If this issue turns out to still be reproducible, please let us know
in this bug report. If after a month's time we have not heard back from you, we
will have to close this bug as CANTFIX.

Setting status to NEEDINFO, and awaiting information from the reporter.

[This is mass-filed message to all open Fedora Core 6 bugs related to Xorg or
Gecko. If you see any other reason, why this bug shouldn't be closed, please,
comment on it here.]
Comment 9 Dick Gingras 2007-12-10 11:52:40 EST
Retested with Werewolf (Fedora 8) and kernel

Appears to be fixed - no longer getting "out of range" from monitor and all
boot-up messages are correctly displayed, including the two penguins (I have a
dual-core AMD cpu).

Note You need to log in before you can comment on or make changes to this bug.